body{
    font-size: 16px;
    margin:  0 auto;
    padding: 0;
    font-family: "Inter", sans-serif;
}
.page-view{
    max-width: 420px;
    margin: 0 auto;
    overflow: hidden;
    position: relative;
}
.title-header-shop{
    display: flex;
}
.title-header-shop{
    background-color: #29b94c;
}
.text h6:last-child{
    margin-bottom: 0;
    padding-bottom: 10px;
}
.text{
    color: white;
    padding: 0 5px;
    text-transform: uppercase;
}
.text span{
    color: rgb(255, 225, 4);;
    font-size: 35px;
    font-weight: bold;
    text-align: center;
    line-height: 1.6;
    text-shadow: 
    -1px -1px 0 #fff, 
     1px -1px 0 #fff, 
    -1px  1px 0 #fff, 
     1px  1px 0 #fff,
     2px 2px 5px rgba(0, 0, 0, 0.5); 
    padding: 0 5px 0 5px;

}
.header-shop .text h5:last-child span:last-child {
    display: inline-block;
    margin-top: -10%;
}
.slide{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    transition: transform 1s cubic-bezier(0.25, 0.1, 0.25, 1); /* Thêm hiệu ứng trượt mượt */
}
.slide img{
    width: 100%;
    height: 100%;
}

.slide-product{
    position: relative;
}
.icon-move {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: opacity 0.5s ease-in-out;
}
.prev, .next {
    background-color: rgba(255, 255, 255, .2);
    cursor: pointer;
}
.prev svg, .next svg{
    width: 25px;
    color: white;
}
.prev {
    position: absolute;
    left: 0;
}
.prev:hover ,.next:hover{
    background: rgba(35, 35, 35, 0.7);
    transition: all 0.5s ease-in-out;
}
.next {
    position: absolute;
    right: 0;
}
.information-vouchers{
    background-color: #29b94c;
}
.title-voucher{
    color: white;
    padding: 5px 10px;
}
.price{
    display: flex;
    justify-content: flex-start;
    align-items: center;    
}
.price h1 {
    font-weight: bold !important;
    margin-right: 20px;
}
.price span{
    font-size: 30px;
    text-decoration: line-through;
    margin-bottom: -15px;
}
.animationText {
    display: inline-block;
    animation: bounce 0.8s ease infinite;
}
@keyframes bounce {
    0%, 20%, 50%, 80%, 100% {
        transform: translateY(0);
    }
    40% {
        transform: translateY(-20px);
    }
    60% {
        transform: translateY(-10px);
    }
}
.follow-product span{
    color: rgb(255, 225, 4);
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.5); 
    padding: 0 5px 0 5px;
}
.section-container{
    background-image: url(../images/background-shop.jpg);
}
.items-method{
    padding: 10px 0;
}
.action-medthod,.text-product{
    padding: 0 20px;
}
.action-medthod h5{
    font-weight: 400;
}
.action-medthod i{
    color: #e80104;
    font-weight: bold;
}
.action-medthod h5{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin-bottom: 10px;
    gap: 10px;
}
.form-iput{
    padding: 0 10px;
}
.select-container{
    display: flex;
    justify-content: center;
    gap: 6px;
}
.select-field {
    width: calc(100% / 3);
}
.input-data{
    display: flex;
    justify-content: space-between;
    gap: 10px;
    margin-bottom: 10px;
}
.input-infor{
    width: 50%;
    height: 100%;
}
.input-infor input , .adress-input input{
    width: 100%;
    padding-left: 10px;
    height: 50px;
    border-radius: 5px;

}
.adress-input{
    width: 100%;
    margin-bottom: 10px;
}
.select-field select{
    width: 100%;
    height: 40px;
    padding:10px;
    border-radius: 5px;
    border: 1px solid black;
}
.check-box-item , .check-box-item-size{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 10px;
}
.check-box-item input , .check-box-item-size input{
    width: 19px;
    height: 19px;
}
.check-box-code ,.check-box-size{
    background-color: #fff;
    padding: 10px;
    margin-top: 20px;
    border-radius: 5px;
    border: 1px solid black;
}
.check-box-code{
    width: 40%;
    height: 100%;
}
.check-box-size{
    width: 60%;
}
.check-box-block{
    display: flex;
    justify-content: space-between;
    gap: 10px;
}
.button-book-product button{
    text-align: center;
    color: white;
    font-weight: bold;
    border-radius: 5px;
    background-color: #29b94c;
    padding: 10px 60px;
    border-color: white;
    animation: scaleAnimation 0.8s infinite;
}

/* @keyframes scaleAnimation {
    0%, 100% {
        transform: scale(1); 
    }
    50% {
        transform: scale(1.1); 
    }
} */
.block-special{
    padding: 0 30px;
    margin-top: 30px;
}
.block-special h2{
    text-transform: uppercase;
    font-weight: bold;
    color: #29b94c;
}
.list-paragraph-container ul li{
    list-style: none;
    line-height: 1.5;
}
.list-paragraph-container ul{
    padding: 0;
}
.list-paragraph-container span{
    color: #e80104;
    font-weight: bold;
}
.list-paragraph-container ul li i{
    margin-right: 10px;
    color: #e80104;
    font-weight: bold;
}
.product-infor{
    padding: 0 20px;
}
.product-infor h2{
    text-transform: uppercase;
    font-weight: bold;
    color: #29b94c;
    text-align: center;
}
.product-infor h6{
    font-weight: bold;
    color: #e80104;
}
.block-feedback{
    display: flex;
    justify-content: center;
    align-items: center;
}
.title-feedback h4{
    color: #e80104;
    text-transform: uppercase;
    text-align: center;
    font-weight: bold;
    margin-bottom: 10px;
}
.number-feedback p{
    font-weight: bold;
}
.block-feedback h6{
    margin-bottom: 0;
}
.sub-title h5{
    text-transform: uppercase;
    text-align: center;
    font-weight: bold;
    margin-bottom: 10px;
    color: #29b94c;
}
.star{
    width: 33%;
    text-align: center;
}
.star i{
    color: rgb(255, 225, 4);
}
.quantity{
    width: 33%;
    text-align: center;
}
.quantity h6{
    margin-left: 10px;
}
.group-feedback{
    display: flex;
    justify-content: flex-start;
    gap: 15px;
    padding: 10px 0;
}
.images-user img{
    border-radius: 50%;
}
.name h5{
    font-weight: bold;
    margin-bottom: 5px;
}
.star-user i{
    color: rgb(255, 225, 4);
}
.feedback-footer , .star-footer{
    display: flex;
    justify-content: center;
    align-items: center;
}
.feedback-footer{
    gap: 7px;
}
.star-footer{
    gap: 10px;
    border: 1px solid #e80104;
    padding: 3px;
}
.sao i{
    color: #e80104;
}
.quantity-feedback , .quantity-buy{
    border: 1px solid black;
    padding: 2px;
    color: #29b94c;
    font-weight: bold;
}
.number-star p{
    color: #e80104;
    font-weight: bold;
}
.title-footer h4{
    font-size: 30px;
    text-transform: uppercase;
    font-weight: bold;
}
.line-container{
    border-bottom: 2px solid #e80104;
    width: 347px;
    height: auto;
    margin: 0 auto;
}
.title-footer span:first-child , .name-company span:first-child{
    color: #29b94c;
}
.title-footer span:last-child , .name-company span:last-child{
    color: #FF9900;
}
.price-footer span{
    font-size: 20px;
    text-decoration: line-through;
    color: rgb(247, 255, 141);
    text-shadow: 
     2px 2px 5px rgba(0, 0, 0, 0.5); 
}
.price-footer h3{
    font-weight: bold;
    color: white;
    margin-bottom: 0;
}
.vouchers-footer{
    background-color: rgb(0, 120, 246);
    margin: 10px 0;
}
.price-footer{
    padding: 10px;
}
.infor-product{
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 13px;
    gap: 8px;
}
.lightning i{
    font-size: 20px;
    color: #e80104;
    height: 100%;
    animation: flash 1s infinite;
}
.fast{
    background-color: #e80104;
    padding: 5px;
    border-radius: 20px;
    color: white;
    animation: zoom 1.2s infinite;
}
@keyframes flash{
    0%, 50%, 100% {
        opacity: 1;
    }
    25%, 75% {
        opacity: 0;
    }
}
@keyframes zoom{
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.1);
    }
    100% {
        transform: scale(1);
    }
}
.quantity-end span{
    color: #FF9900;
    font-weight: bold;
}
.quantity-end{
    width: 50%;
}
.fast{
    width:35%;
    text-align: center;
}
.lightning{
    width: 10%;
    text-align: center;
}
.container-bar{
    width: 100%; 
    background-color: #f0f0f0; 
    margin: 15px 0;
    border-radius: 15px;
}

.bar {
    width: 85%; 
    height: 10px; 
    background-color: #4caf50;
    border-radius: 15px; 
}
.section-end{
    background-color: rgb(77, 114, 54);
}
.text-company p{
    margin-bottom: 5px;
    color: white;
}
.text-company{
    padding: 0 7px;
}
.name-company h4{
    font-size: 30px;
    text-transform: capitalize;
    font-weight: bold;
}
.text-company span{
    font-weight: bold;
}
.text-company li{
    list-style: none;
}
.text-company li a{
    color: white;
    text-decoration: none;
}
.text-company li i{
    font-weight: bold;
    margin-right: 10px;
}
.text-company span i{
    margin-right: 10px;
}
/* bug */
.input-infor ,.adress-input ,.check-box-group {
    margin-bottom: 10px; 
}
#error-message ,
 #error-message-adress ,
 #error-message-code ,
 #error-message-size ,
 #error-message-phone,
 #error-message-province,
 #error-message-district,
 #error-message-commune {
    color: red; 
    font-size: 14px; 
    margin-top: 5px; 
}
/*zalo */
.heaheader-placeholder{
    position: relative;
}
.hotline-phone-ring-wrap {
    position:fixed;
    bottom: 8%;
    z-index: 9;    
    right: 0;
}

.hotline-phone-ring {
    position: relative;
    visibility: visible;
    background-color: transparent;
    width: 110px;
    height: 110px;
    cursor: pointer;
    z-index: 11;
    -webkit-backface-visibility: hidden;
    -webkit-transform: translateZ(0);
    transition: visibility .5s;
    left: 0;
    bottom: 0;
    display: block
}

.hotline-phone-ring-circle {
    width: 110px;
    height: 110px;
    top: 0;
    left: 0;
    position: absolute;
    background-color: transparent;
    border-radius: 100%;
    border: 2px solid #D0011B;
    -webkit-animation: phonering-alo-circle-anim 1.2s infinite ease-in-out;
    animation: phonering-alo-circle-anim 1.2s infinite ease-in-out;
    transition: all .5s;
    -webkit-transform-origin: 50% 50%;
    -ms-transform-origin: 50% 50%;
    transform-origin: 50% 50%;
    opacity: .5
}

.hotline-phone-ring-circle-fill {
    width: 80px;
    height: 80px;
    top: 16px;
    left: 16px;
    position: absolute;
    background-color: rgba(208, 1, 27, 0.7);
    border-radius: 100%;
    border: 2px solid transparent;
    -webkit-animation: phonering-alo-circle-fill-anim 2.3s infinite ease-in-out;
    animation: phonering-alo-circle-fill-anim 2.3s infinite ease-in-out;
    transition: all .5s;
    -webkit-transform-origin: 50% 50%;
    -ms-transform-origin: 50% 50%;
    transform-origin: 50% 50%
}

.hotline-phone-ring-img-circle {
    background-color: #D0011B;
    width: 50px;
    height: 50px;
    top: 31px;
    left: 31px;
    position: absolute;
    background-size: 20px;
    border-radius: 100%;
    border: 2px solid transparent;
    -webkit-animation: phonering-alo-circle-img-anim 1s infinite ease-in-out;
    animation: phonering-alo-circle-img-anim 1s infinite ease-in-out;
    -webkit-transform-origin: 50% 50%;
    -ms-transform-origin: 50% 50%;
    transform-origin: 50% 50%;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    justify-content: center
}

.hotline-phone-ring-img-circle .pps-btn-img {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex
}

.hotline-phone-ring-img-circle .pps-btn-img img {
    width: 33px;
    height: 33px
}

.hotline-bar {
    position: absolute;
    background: #D0011B;
    height: 45px;
    width: 165px;
    line-height: 40px;
    border-radius: 3px;
    padding: 0 10px;
    background-size: 100%;
    cursor: pointer;
    transition: all .8s;
    -webkit-transition: all .8s;
    z-index: 9;
    border-radius: 50px !important;
    left: 42px;
    bottom: 31px
}

.hotline-bar>a {
    color: #fff;
    text-decoration: none;
    font-size: 16px;
    font-weight: 700;
    text-indent: 32px;
    letter-spacing: 1px;
    display: block;
    line-height: 45px;
    font-family: Arial
}

.hotline-bar>a:hover,
.hotline-bar>a:active {
    color: #fff
}

@-webkit-keyframes phonering-alo-circle-anim {
    0% {
        -webkit-transform: rotate(0) scale(0.5) skew(1deg);
        -webkit-opacity: .1
    }

    30% {
        -webkit-transform: rotate(0) scale(0.7) skew(1deg);
        -webkit-opacity: .5
    }

    100% {
        -webkit-transform: rotate(0) scale(1) skew(1deg);
        -webkit-opacity: .1
    }
}

@-webkit-keyframes phonering-alo-circle-fill-anim {
    0% {
        -webkit-transform: rotate(0) scale(0.7) skew(1deg);
        opacity: .6
    }

    50% {
        -webkit-transform: rotate(0) scale(1) skew(1deg);
        opacity: .6
    }

    100% {
        -webkit-transform: rotate(0) scale(0.7) skew(1deg);
        opacity: .6
    }
}

@-webkit-keyframes phonering-alo-circle-img-anim {
    0% {
        -webkit-transform: rotate(0) scale(1) skew(1deg)
    }

    10% {
        -webkit-transform: rotate(-25deg) scale(1) skew(1deg)
    }

    20% {
        -webkit-transform: rotate(25deg) scale(1) skew(1deg)
    }

    30% {
        -webkit-transform: rotate(-25deg) scale(1) skew(1deg)
    }

    40% {
        -webkit-transform: rotate(25deg) scale(1) skew(1deg)
    }

    50% {
        -webkit-transform: rotate(0) scale(1) skew(1deg)
    }

    100% {
        -webkit-transform: rotate(0) scale(1) skew(1deg)
    }
}
.zalo {
    margin-left: 70px;
}

.zalo-circle {
    border: 2px solid #0088FF !important;
}

.zalo-ring-img-circle {
    background-color: #0088FF !important;
}

.zalo-ring-circle-fill {
    background-color: rgba(0, 136, 255, 0.7) !important;
}
/* popup */
.hide{
    display: none;
}
.page-popup{
    width: 380px;
    margin: 0 auto;
    border-radius: 10px;
    background-color: white;
    box-shadow: 0px 4px 40px 0px rgba(0, 0, 0, .14);
    position: fixed;
    top: 50%; 
    left: 50%;
    transform: translate(-50%, -50%); 
    z-index: 12;
}
.content-popup{
    padding: 30px;
}
.sub-title-popup h3{
    font-weight: bold;
    font-size: 30px;
    margin-bottom: 15px;
}
.button-popup{
    margin-bottom: 60px;
}
.popup-submit a{
    background-color: #29b94c;
    padding: 8px 40px;
    float: right;
    font-size: 20px;
    color: white;
    font-weight: bold;
    border-radius: 15px;
    box-shadow: 0px 4px 40px 0px rgba(0, 0, 0, .14);
}
.content p{
    font-size: 18px;
    line-height: 1.5;
    color: #4d4d4d;
}
.overlay {
    background: rgba(0, 0, 0, .5);
    position: fixed;
    top: 50%; 
    left: 50%;
    width: 420px;
    height: 100%;
    transform: translate(-50%, -50%); 
    z-index: 10 !important;
    opacity: 0.8; 
}
.hidden-overlay{
    display: none;
}
.number-number{
    width: 33%;
    text-align: center  ;
}
/* video */
.video-product video {
    width: 100%;
    height: auto; 
    padding: 0;
}
.title-video{
    background-color: #29b94c;
    color: white;
    text-align: center;
    text-transform: uppercase;
}
.title-video h3{
    padding-top: 10px;
    padding-bottom: 10px;
    font-size: 25px;
    margin-bottom: 0;
    font-weight: bold;
}
@media screen and (min-width:344px) {
    .video video{
        width: 100%;
        height: auto;
    }
}